Plume API
Utility

/wikipedia

Get the summary of a Wikipedia page

GET
/wikipedia

Query Parameters

page*string

The page to search for

Length1 <= length <= 50
locale?string

Response locale

Value in"en" | "fr"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/wikipedia?page=string"
{
  "title": "string",
  "page_id": 0,
  "thumbnail": {
    "source": "string",
    "width": 0,
    "height": 0
  },
  "original_image": {
    "source": "string",
    "width": 0,
    "height": 0
  },
  "lang": "string",
  "description": "string",
  "content_urls": {
    "desktop": {
      "page": "string",
      "revisions": "string",
      "edit": "string",
      "talk": "string"
    },
    "mobile": {
      "page": "string",
      "revisions": "string",
      "edit": "string",
      "talk": "string"
    }
  },
  "extract": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}